import { Server } from './server';
import { FastifyServerOptions, FastifyPluginOptions } from 'fastify';
import { ServerOptions as SocketIOServerOptions } from 'socket.io';
export declare class App {
    server: Server;
    init(rootPath: string, fastifyOptions?: {
        fastify?: FastifyServerOptions;
        jwt?: FastifyPluginOptions;
        cors?: FastifyPluginOptions;
        fileUpload?: FastifyPluginOptions;
        swagger?: FastifyPluginOptions;
    }, socketOptions?: SocketIOServerOptions): Promise<void>;
    stop(): Promise<void>;
    listenNetwork(): void;
}
